/* fs/ngffs/sysfiles.h
 *
 * NGFFS, next generation flash file system
 *
 * Copyright (C) 2004-2007 TomTom BV <http://www.tomtom.com/>
 * Author: Koen Martens <kmartens@sonologic.nl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __FS_NGFFS_SYSFILES_H
#define __FS_NGFFS_SYSFILES_H

#define NGFFS_CAL_LEN		16
#define NGFFS_CAL_OFS		0x104
#define NGFFS_CAL_NAME		"cal"

#define NGFFS_ID_LEN		12
#define NGFFS_ID_OFS		0x114
#define NGFFS_ID_NAME		"id"

#define NGFFS_MAC_LEN		6
#define NGFFS_MAC_OFS		0x120
#define NGFFS_MAC_NAME		"mac"

#define NGFFS_IMEI_LEN		16
#define NGFFS_IMEI_OFS		0x300
#define NGFFS_IMEI_NAME		"imei"

/* powertable is not used */
#define MAX_PT_ENTRIES		1
#define NGFFS_BTCAL_LEN		2+((2+2)*(MAX_PT_ENTRIES + 1))
#define NGFFS_BTCAL_OFS		0x14c
#define NGFFS_BTCAL_NAME	"btcal"

#define NGFFS_LNA_LEN		2
#define NGFFS_LNA_OFS           0x200
#define NGFFS_LNA_NAME		"lna"

#define NGFFS_SPK_LEN		2
#define NGFFS_SPK_OFS		0x202
#define NGFFS_SPK_NAME		"spk"

#define NGFFS_MIC_LEN		2
#define NGFFS_MIC_OFS		0x204
#define NGFFS_MIC_NAME		"mic"

#define NGFFS_VER_LEN		16
#define NGFFS_VER_OFS		0x3fff0
#define NGFFS_VER_NAME		"bootver"

#define NGFFS_SYSFILES		9

#ifndef NGFFS_SYSFILE
extern struct ngffs_sysfile ngffs_sysfiles[];
#else /* NGFFS_SYSFILE */
struct ngffs_sysfile ngffs_sysfiles[] = {
	{ NGFFS_CAL_LEN  , NGFFS_CAL_OFS  , NGFFS_CAL_NAME    },
	{ NGFFS_ID_LEN 	 , NGFFS_ID_OFS   , NGFFS_ID_NAME     },
	{ NGFFS_MAC_LEN	 , NGFFS_MAC_OFS  , NGFFS_MAC_NAME    },
	{ NGFFS_IMEI_LEN , NGFFS_IMEI_OFS , NGFFS_IMEI_NAME   },
	{ NGFFS_BTCAL_LEN, NGFFS_BTCAL_OFS, NGFFS_BTCAL_NAME  },
	{ NGFFS_LNA_LEN	 , NGFFS_LNA_OFS  , NGFFS_LNA_NAME    },
	{ NGFFS_SPK_LEN	 , NGFFS_SPK_OFS  , NGFFS_SPK_NAME    },
	{ NGFFS_MIC_LEN  , NGFFS_MIC_OFS  , NGFFS_MIC_NAME    },
	{ NGFFS_VER_LEN  , NGFFS_VER_OFS  , NGFFS_VER_NAME    }
};
#endif /* NGFFS_SYSFILE */

#endif /* __FS_NGFFS_SYSFILES_H */

/* EOF */
